Get Job Detail
curl --request GET \
--url https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/job/detail \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/job/detail"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/job/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"cost": 1,
"data": {
"id": "4172815660",
"title": "Data Center Engineer",
"description": "Core Infrastructure EngineerHybrid - Data Center...",
"job_url": "https://www.linkedin.com/jobs/view/4172815660",
"location": "Herndon, VA",
"location_geocode": "104624893",
"country_code": "US",
"state": "LISTED",
"level": "Mid-Senior level",
"employment_status": "Full-time",
"new": true,
"views": 13,
"applies": 3,
"salary": {
"max_salary": "100000.0",
"min_salary": "100000.0",
"currency": "USD",
"pay_period": "YEARLY",
"salary_exists": true
},
"company_apply_url": "",
"work_remote_allowed": false,
"job_limit_reached": false,
"original_listed_at": "2025-03-04T14:56:19.000Z",
"listed_at": "2025-03-04T14:56:19.000Z",
"expire_at": "2025-04-03T14:56:18.000Z",
"industries": [
"IT Services and IT Consulting"
],
"job_functions": [
"Information Technology"
],
"benefits": [
"Health insurance",
"401(k)"
],
"workplace_types": [
"On-site"
],
"source_domain": "linkedin.com",
"third_party_sourced": false,
"company": {
"headquarter": {
"country": "United States",
"country_code": "US",
"city": "Austin",
"geographic_area": "Texas",
"line1": "111 Congress Ave",
"line2": "111 Congress Ave",
"postal_code": "78701"
},
"id": "86687933",
"name": "Stelvio Group",
"universal_name": "stelvio-group",
"url": "https://www.linkedin.com/company/stelvio-group",
"description": "Matching talented people with innovative companies across the US...",
"follower_count": 52934,
"staff_count": 21,
"staff_range": {
"start": 11,
"end": 50
},
"specialities": [
"Legacy IT",
"Software",
"Project Management",
"..."
],
"industries": [
"Staffing and Recruiting"
],
"logo": [
{
"width": 400,
"height": 400,
"url": "https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8",
"expires_at": 1748476800000
}
],
"cover": [
{
"width": 1128,
"height": 191,
"url": "https://media.licdn.com/dms/image/v2/D4E3DAQE7GzWAY8oQqw/image-scale_191_1128/image-scale_191_1128/0/1673607409141/stelvio_group_cover?e=1743404400&v=beta&t=SVZsPNKFMAMIKIlgUgJ8NXFkS_9-GL2StdBztrq52vs",
"expires_at": 1748476800000
}
]
},
"skills": [
"Amazon Web Services (AWS)",
"Apache Spark",
"C++",
"Computer Science",
"Distributed Systems",
"Java",
"Kubernetes",
"Machine Learning",
"Object-Oriented Programming (OOP)",
"Python (Programming Language)"
]
}
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"success": false,
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500,
"cost": 0,
"explain": "Oops, it looks like there was an issue processing your request. Don't worry, you won't be charged for this request. If you need any help, don't hesitate to contact us via email [email protected] or telegram https://t.me/saleleads"
}Job
Get Job Detail
Retrieve detailed information about a specific job
GET
/
api
/
v1
/
job
/
detail
Get Job Detail
Authorizations
Rapid API Key
Query Parameters
Unique identifier for the job
Pattern:
^\d+$Example:
"4170461460"
Include job skills in the response. Enabling this option will consume an additional 1 request.
Example:
false
⌘I